import jingrow
from jingrow.desk.pagetype.notification_settings.notification_settings import (
	create_notification_settings,
)


def execute():
	jingrow.reload_pg("desk", "pagetype", "notification_settings")
	jingrow.reload_pg("desk", "pagetype", "notification_subscribed_document")

	users = jingrow.get_all("User", fields=["name"])
	for user in users:
		create_notification_settings(user.name)
